providers: Do not use global EVP_CIPHERs and EVP_MDs